Announcement

  •  » Extensions
  •  » LDAP Plugin for current Piwigo versions (12.x) needed

#1 2022-02-16 19:55:57

dinoschachten
Member
2022-02-16
2

LDAP Plugin for current Piwigo versions (12.x) needed

Dear fellow Piwigians,

I'm currently working on configuring Piwigo as a web-based platform to make parts of a media archive accessible in an enterprise environment.

In this context I find it absolutely necessary to be able to implement LDAP to utilise existing accounts.

I was excited to see comprehensive LDAP plugins available for Piwigo.

However none of them have released versions compatible with any Piwigo releases newer than 2.10 and based on the tag search the topic of LDAP has not been discussed in these forums since 2015(!)

I have tried using the latest but outdated version 2.10 of https://github.com/Kipjr/ldap_login but failed to save any configuration changes (resulting in an error "Plugin not activated").

Any information on current ways to implement LDAP in Piwigo would be greatly appreciated.


My environment:

Piwigo 12.2.0
Operating system: Linux
PHP: 7.4.25 [2022-02-16 19:43:46]
MySQL: 5.5.5-10.3.31-MariaDB-0+deb10u1-log [2022-02-16 19:43:46]
Graphics Library: GD 2.3.0

Offline

 

#2 2022-02-17 11:27:41

erAck
Only trying to help
2015-09-06
1414

Re: LDAP Plugin for current Piwigo versions (12.x) needed

The plugin may need some Piwigo 12 compatibility changes, see https://github.com/Piwigo/Piwigo/wiki/T … -Piwigo-12
Probably best to talk to the author of recent commits on GitHub, Kipjr.


Running Piwigo at https://erack.net/gallery/

Offline

 

#3 2022-02-21 14:49:09

dinoschachten
Member
2022-02-16
2

Re: LDAP Plugin for current Piwigo versions (12.x) needed

Thanks @erAck !
I suppose that is the only thing left to do. I was secretly hoping that someone in a similar situation knows a solution or workaround or a plugin (or native implementation) I missed. ;)

Alright, yes, I'll get in touch with them about it!

Offline

 
  •  » Extensions
  •  » LDAP Plugin for current Piwigo versions (12.x) needed

Board footer

Powered by FluxBB

github twitter newsletter Donate Piwigo.org © 2002-2022 · Contact